# openstack.shared_file_system.v2.share_access_rule

## The ShareAccessRule Class

The `ShareAccessRule` class inherits from `Resource`.

class openstack.shared_file_system.v2.share_access_rule.ShareAccessRule(_synchronized=False, connection=None, **attrs)

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  resource_key = 'access'

    Singular form of key for resource.

  resources_key = 'access_list'

    Plural form of key for resource.

  base_path = '/share-access-rules'

    The base part of the URI for this resource.

  allow_create = True

    Allow create operation for this resource.

  allow_fetch = True

    Allow get operation for this resource.

  allow_commit = False

    Allow update operation for this resource.

  allow_delete = True

    Allow delete operation for this resource.

  allow_list = True

    Allow list operation for this resource.

  allow_head = False

    Allow head operation for this resource.

  access_key

    Properties The access credential of the entity granted share access.

  access_level

    The access level to the share.

  access_list

    The object of the access rule.

  access_to

    The value that defines the access.

  access_type

    The access rule type.

  created_at

    The date and time stamp when the resource was created within the service’s database.

  metadata

    One or more access rule metadata key and value pairs as a dictionary of strings.

  share_id

    The UUID of the share to which you are granted or denied access.

  state

    The state of the access rule.

  updated_at

    The date and time stamp when the resource was last updated within the service’s database.

  lock_visibility

    Whether the visibility of some sensitive fields is restricted or not

  lock_deletion

    Whether the deletion of the access rule should be restricted or not

  lock_reason

    Reason for placing the loc

  create(session, *args, **kwargs)

    Create a remote resource based on this instance.

    Parameters:

      - session (`Adapter`) – The session to use for making this request.

      - prepend_key – A boolean indicating whether the resource_key should be prepended in a resource creation request. Default to True.

      - base_path (str) – Base part of the URI for creating resources, if different from `base_path`.

      - resource_request_key (str) – Overrides the usage of self.resource_key when prepending a key to the request body. Ignored if prepend_key is false.

      - resource_response_key (str) – Overrides the usage of self.resource_key when processing response bodies. Ignored if prepend_key is false.

      - microversion (str) – API version to override the negotiated one.

      - params (dict) – Additional params to pass.

    Returns:

      This `Resource` instance.

    Raises:

      `MethodNotSupported` if `Resource.allow_create` is not set to `True`.

  delete(session, error_message=None, *, microversion=None, unrestrict=False, **kwargs)

    Delete the remote resource based on this instance.

    Parameters:

      - session (`Adapter`) – The session to use for making this request.

      - microversion (str) – API version to override the negotiated one.

      - kwargs (dict) – Parameters that will be passed to _prepare_request()

    Returns:

      This `Resource` instance.

    Raises:

      `MethodNotSupported` if `Resource.allow_commit` is not set to `True`.

    Raises:

      `NotFoundException` if the resource was not found.

this page last updated: 2026-01-16 23:06:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.